# The MEME Suite

## Motif-based sequence analysis tools

## rna2meme

### Usage:

`rna2meme [options] <sequence file>`

### Description

Convert an RNA sequence to its binding motif in MEME motif format.

### Input

#### Sequence File

A file containing short FASTA formatted RNA sequences. If the file name is '`-`' then the file is read from standard input.

### Output

### Options

Option | Parameter | Description | Default Behaviour
--- | --- | --- | ---
General Options
-rna |  | Output RNA motifs instead of DNA motifs. | Output DNA motifs.
-seed_start | offset | The starting offset of the seed in the (micro-)RNA sequence. If this value is 0, the entire sequence is treated as the seed (see -other_count below). | 0: the entire RNA sequence is treated as the seed.
-seed_end | offset | The ending offset of the seed in the (micro-)RNA sequence. This option is ignored if -seed_start is 0. | 0
-start | offset | The starting offset in the RNA sequence (inclusive). Use negative numbers to count from the end. Do not use this option in conjunction with -seed_start. | No starting offset is used.
-end | offset | The ending offset in RNA sequence (inclusive). Use negative numbers to count from end. Do not use this option in conjunction with -seed_start. | No ending offset is used.
-match | count | The count to assign to a match (complement). | A count of 1 is used.
-wobble | count | The count to assign to a U for a G, or a G for a U. | A count of 0.1 is used.
-miss | count | The count to assign to a non-match non-wobble. | A count of 0.01 is used.
-other_count | count | Extra count to add to match, wobble and misses in the non-seed regions. Setting this to a large value reduces the effect of poor matching in the non-seed regions; setting this to zero causes seed and non-seed regions to be weighted equally. | 0.5